/*  gtklepin - a gtk+ notebook
 *
 *  Copyright (C) 20002  Luc Dufresne <luc@ordiluc.net>
 *                       26, rue des Comices
 *                       59650 Villeneuve d'Ascq
 *                       FRANCE
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  See the file COPYING
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <unistd.h>
#include <gtk/gtk.h>

#include "support.h"
#include "interface.h"

#define SLEEP_TIME 100

GtkWidget *dialog_window;
GtkWidget *ask_window;
gint status; /* 0=wait 1=yes 2=no */

void close_message_dialog () {
	gtk_widget_destroy(dialog_window);
	status = 1;
}

void display_message (const gchar *title, const gchar *message) {
	GtkLabel *label;

	dialog_window = create_message_dialog ();
	gtk_window_set_title (GTK_WINDOW (dialog_window), title);
	label = (GtkLabel *) lookup_widget (dialog_window, "message_dialog_label");
	gtk_label_set_text (label, message);
	status = 0;
	gtk_widget_show (dialog_window);
	while (status == 0) {
		usleep(SLEEP_TIME);
		while (gtk_events_pending()) gtk_main_iteration();
	}
}

void ask_yes () {
	status = 1;
	gtk_widget_destroy(ask_window);
}

void ask_no () {
	status = 2;
	gtk_widget_destroy(ask_window);
}

gint display_ask (const gchar *title, const gchar *message) {
	GtkLabel *label;

	status = 0;
	ask_window = create_ask_dialog ();
	gtk_window_set_title (GTK_WINDOW (ask_window), title);
	label = (GtkLabel *) lookup_widget (ask_window, "ask_dialog_label");
	gtk_label_set_text (label, message);
	gtk_widget_show (ask_window);
	while (status == 0) {
		usleep(SLEEP_TIME);
		while (gtk_events_pending()) gtk_main_iteration();
	}
	return status;
}
